# KmlFeatureData

#### new Cesium.KmlFeatureData()
engine/Source/DataSources/KmlDataSource.js 4253

Contains KML Feature data loaded into the `Entity.kml` property by `KmlDataSource`.

### Members

#### address : string
engine/Source/DataSources/KmlDataSource.js 4300

Gets the unstructured address field.

#### author : KmlFeatureData.Author
engine/Source/DataSources/KmlDataSource.js 4266

Gets the atom syndication format author field.

#### extendedData : string
engine/Source/DataSources/KmlDataSource.js 4317

Gets the extended data, parsed into a JSON object. Currently only the `Data` property is supported. `SchemaData` and custom data are ignored.

#### link : KmlFeatureData.Link
engine/Source/DataSources/KmlDataSource.js 4287

Gets the link.

#### phoneNumber : string
engine/Source/DataSources/KmlDataSource.js 4305

Gets the phone number.

#### snippet : string
engine/Source/DataSources/KmlDataSource.js 4310

Gets the snippet.

### Type Definitions

#### Cesium.KmlFeatureData.Author
engine/Source/DataSources/KmlDataSource.js 4254

##### Properties:

Name | Type | Description
--- | --- | ---
`name` | string | Gets the name.
`uri` | string | Gets the URI.
`age` | number | Gets the email.

#### Cesium.KmlFeatureData.Link
engine/Source/DataSources/KmlDataSource.js 4272

##### Properties:

Name | Type | Description
--- | --- | ---
`href` | string | Gets the href.
`hreflang` | string | Gets the language of the linked resource.
`rel` | string | Gets the link relation.
`type` | string | Gets the link type.
`title` | string | Gets the link title.
`length` | string | Gets the link length.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.